FUNCTION::USYMDATA(3stap)

NAME
function::usymdata - Return the symbol and module offset of an address.

SYNOPSIS

    usymdata:string(addr:long)

ARGUMENTS

addr
    The address to translate.

DESCRIPTION

Returns the (function) symbol name associated with the given address in the current task if known, the offset from the start and the size of the symbol, plus the module name (between brackets). If symbol is unknown, but module is known, the offset inside the module, plus the size of the module is added. If any element is not known it will be omitted and if the symbol name is unknown it will return the hex string for the given address.

SEE ALSO
tapset::ucontext-symbols(3stap)